mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComTypes.ITypeInfo System.Runtime.InteropServices.Guid("00020412-0000-0000-C000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the ITypeInfo2 interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For additional information about ITypeInfo2::GetAllCustData, see the MSDN Library.

  Gets all custom data items for the library.

  The return value obtained from the returned HRESULT is one of the following:

  Return Value

  Meaning

  S_OK

  Success

  E_OUTOFMEMORY

  Out of memory.

  E_INVALIDARG

  One or more of the arguments is invalid.

  A pointer to CUSTDATA, which holds all custom data items.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  For additional information about ITypeInfo2::GetAllFuncCustData, see the MSDN Library.

  Gets all custom data from the specified function.

  The return value obtained from the returned HRESULT is one of the following:

  Return Value

  Meaning

  S_OK

  Success

  E_OUTOFMEMORY

  Out of memory.

  E_INVALIDARG

  One or more of the arguments is invalid.

  The index of the function to get the custom data for. A pointer to CUSTDATA, which holds all custom data items.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  For additional information about ITypeInfo2::GetAllImplTypeCustData, see the MSDN Library.

  Gets all custom data for the specified implementation type.

  The return value obtained from the returned HRESULT is one of the following:

  Return Value

  Meaning

  S_OK

  Success

  E_OUTOFMEMORY

  Out of memory.

  E_INVALIDARG

  One or more of the arguments is invalid.

  The index of the implementation type for the custom data. A pointer to CUSTDATA which holds all custom data items.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For additional information about ITypeInfo2::GetAllParamCustData, see the MSDN Library.

  Gets all of the custom data for the specified function parameter.

  The return value obtained from the returned HRESULT is one of the following:

  Return Value

  Meaning

  S_OK

  Success

  E_OUTOFMEMORY

  Out of memory.

  E_INVALIDARG

  One or more of the arguments is invalid.

  The index of the function to get the custom data for. The index of the parameter of this function to get the custom data for. A pointer to CUSTDATA, which holds all custom data items.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  For additional information about ITypeInfo2::GetAllVarCustData, see the MSDN Library.

  Gets the variable for the custom data.

  The return value obtained from the returned HRESULT is one of the following:

  Return Value

  Meaning

  S_OK

  Success

  E_OUTOFMEMORY

  Out of memory.

  E_INVALIDARG

  One or more of the arguments is invalid.

  The index of the variable to get the custom data for. A pointer to CUSTDATA, which holds all custom data items.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  For additional information about ITypeInfo::GetDllEntry, see the MSDN Library.

  Retrieves a description or specification of an entry point for a function in a DLL.

  The ID of the member function whose DLL entry description is to be returned. One of the values that specifies the kind of member identified by . If not null, the function sets to a BSTR that contains the name of the DLL. If not null, the function sets to a BSTR that contains the name of the entry point. If not null, and the function is defined by an ordinal, then is set to point to the ordinal.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.LCIDConversion(1)
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For additional information about ITypeInfo::GetIDsOfNames, see the MSDN Library.

  Maps between member names and member IDs, and parameter names and parameter IDs.

  An array of names to map. The count of names to map. When this method returns, contains a reference to an array in which name mappings are placed. This parameter is passed uninitialized.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For additional information about ITypeInfo::ReleaseFuncDesc, see the MSDN Library.

  Releases a structure previously returned by the method.

  A reference to the FUNCDESC structure to release.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For additional information about ITypeInfo::ReleaseTypeAttr, see the MSDN Library.

  Releases a structure previously returned by the method.

  A reference to the TYPEATTR structure to release.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For additional information about ITypeInfo::ReleaseVarDesc, see the MSDN Library.

  Releases a VARDESC structure previously returned by the method.

  A reference to the VARDESC structure to release.